/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */
body {
    font-family: "IBM Plex Sans", sans-serif; 
}
#mega-menu-wrap-menu-1 #mega-menu-menu-1 > li.mega-menu-item > a.mega-menu-link {
    font-family: "IBM Plex Sans", sans-serif; 
	font-weight: 600 !important;
}
#mega-menu-wrap-menu-1 #mega-menu-menu-1 > li.mega-menu-megamenu > ul.mega-sub-menu {
    margin-top: 30px !important;
}
#mega-menu-wrap-menu-1 #mega-menu-menu-1 > li.mega-menu-item:hover > a.mega-menu-link:after,
#mega-menu-wrap-menu-1 #mega-menu-menu-1 > li.mega-menu-item.mega-current-menu-item > a.mega-menu-link:after {
    transform: scaleX(1);
}

/* Fade other menu items */
#mega-menu-wrap-menu-1 #mega-menu-menu-1:hover > li.mega-menu-item:not(:hover) > a.mega-menu-link {
    opacity: 0.6;
}
#mega-menu-wrap-menu-1 #mega-menu-menu-1 > li.mega-menu-item > a.mega-menu-link{
    position: relative !important;
}

#mega-menu-wrap-menu-1 #mega-menu-menu-1 > li.mega-menu-item > a.mega-menu-link:before{
    content: '';
    position: absolute;
    left: 5px;
    right: 0px;
    bottom: 0;
    height: 2px;
    background: #fff;

    transform: scaleX(0);
    transform-origin: left;
    transition: transform .3s ease;
}

#mega-menu-wrap-menu-1 #mega-menu-menu-1 > li.mega-menu-item:hover > a.mega-menu-link:before{
    transform: scaleX(1);
}

.our_parts_sec .container{ max-width: 1300px; margin: 0 auto; }
/* .blog_latest_news:hover .elementor-icon svg{
    animation: arrowLoop 0.7s ease-in-out;
} */
.arrow-move :hover .elementor-icon svg{
    animation: arrowLoop 0.7s ease-in-out;
}
@keyframes arrowLoop {

    /* Start */
    0%{
        transform: translateX(0);
        opacity: 1;
    }

    /* Exit right */
    45%{
        transform: translateX(40px);
        opacity: 0;
    }

    /* Jump left */
    46%{
        transform: translateX(-40px);
        opacity: 0;
    }

    /* Return center */
    100%{
        transform: translateX(0);
        opacity: 1;
    }
}
.case_study_tabs .e-tab-base.e--selected, .metal_roofing_tabs .e-tab-base.e--selected, .crown_tabs .e-tab-base.e--selected, .eave_closure_tabs .e-tab-base.e--selected{
	border-bottom: 2px solid #262261;
}
.case_study_tabs .e-tab-base span, .metal_roofing_tabs .e-tab-base span, .crown_tabs .e-tab-base span, .eave_closure_tabs .e-tab-base span{
	color: #E0E0E0;
}
.catalog_tabs .e-tab-base span{
	color: #ffffff2D;
}
.case_study_tabs .e-tab-base.e--selected span, .metal_roofing_tabs .e-tab-base.e--selected span, .crown_tabs .e-tab-base.e--selected span, .eave_closure_tabs .e-tab-base.e--selected span{
	color: #262261;
}
.catalog_tabs .e-tab-base.e--selected, .catalog_charts_tabs .e-n-tab-title[aria-selected="true"] .e-n-tab-title-text{
	border-bottom: 2px solid #ffffff;
}
.casestudy_tabs .e-n-tab-title[aria-selected="true"] .e-n-tab-title-text{
    border-bottom: 2px solid #262261;
}
.catalog_charts_tabs .e-n-tab-title .e-n-tab-title-text, .casestudy_tabs .e-n-tab-title .e-n-tab-title-text{
    padding-bottom: 5px;
}
.catalog_tabs .e-tab-base.e--selected span
{
	color: #ffffff;
}

.contact_us_btn .elementor-button{
    position: relative;
    overflow: hidden;
    background: #d6001c;
    /*border: 1px solid #d6001c;*/
    color: #fff !important;
    z-index: 1;
    transition: color 0.4s ease;
}

.contact_us_btn .elementor-button::before{
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 0;
    height: 100%;
    background: #fff;
    transition: width 0.5s ease;
    z-index: -1;
}

.contact_us_btn .elementor-button:hover::before{
    width: 100%;
}

.contact_us_btn .elementor-button:hover{
    color: #d6001c !important;
}

.contact_us_btn .elementor-button:hover .elementor-button-text{
    color: #d6001c !important;
}

.blog_latest_news{
    position: relative;
    overflow: hidden;
}

.blog_latest_news::before{
    content: "";
    position: absolute;
    inset: 0;
    background-image: inherit;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    transition: transform 0.6s ease;
    z-index: 0;
}

.blog_latest_news:hover::before{
    transform: scale(1.1);
}
.blog_latest_news::after{
    content: "";
    position: absolute;
    inset: 0;
    background: rgba(38, 34, 97, 0.8);
    pointer-events: none;
}

.blog_latest_news > *{
    position: relative;
    z-index: 1;
}

.odd-row{
    background: #f5f5f5 !important;
}

.even-row{
    background: #ffffff !important;
}

.sticky_header{
    background: transparent;
}
.sticky_header.header-scrolled {
    background: #262261;
}


@media (max-width: 640px) {
	.latest-news-tag{
		font-size: 20px !important;
	}
}
@media (max-width: 1200px) {
	#mega-menu-wrap-menu-1 #mega-menu-menu-1 > li.mega-menu-item > a.mega-menu-link{
		font-size: 14px; 
		padding: 0px 10px;
	}
	.elementor-widget-max-mega-menu {
        display: flex;
        justify-content: center;
    }
}

.swiper-button-lock {
    display: none !important;
}



/*.elementor-location-header > .elementor-element{ z-index: 999; }*/
.innovation_card_wrapper{ overflow: hidden; padding-bottom: 45px; margin-bottom: 0; }
.innovation_card_wrapper .elementor-widget-n-carousel{ width: calc(100% + 120px) !important; max-width: calc(100% + 120px) !important; margin-left: -60px !important; }
.innovation_card_wrapper .elementor-widget-n-carousel .swiper{ padding:0 60px; }
.innovation_card_wrapper .elementor-widget-n-carousel .swiper-slide-prev{ opacity: 0; transition: all 0.5s ease-in-out; }
.innovation_card_wrapper .elementor-widget-n-carousel .swiper-slide-duplicate-prev{ opacity: 0; transition: all 0.5s ease-in-out; }
.innovation_card_wrapper .elementor-widget-n-carousel .swiper-slide{ padding: 40px 10px !important; }
.innovation_card_wrapper .elementor-widget-n-carousel .swiper-slide .innovation_card:hover{ box-shadow: 0px 0px 40px 2px rgba(0, 0, 0, 0.2); }
.innovation_card_wrapper .elementor-swiper-button{ top: 110% !important; }


@media (max-width: 1400px){
.innovation_card_wrapper{ max-width: 96%; margin: 0 auto; padding-left: 2%; padding-right: 2%; }
.innovation_card_wrapper .elementor-widget-n-carousel .swiper-slide .innovation_card:hover{ box-shadow: 0px 0px 30px 2px rgba(0, 0, 0, 0.2); }
}

@media (max-width: 1200px){
    .innovation_card_wrapper .elementor-widget-n-carousel .swiper-slide{ padding: 40px 10px !important; }
    .innovation_card_wrapper .elementor-widget-n-carousel{ width: calc(100% + 80px) !important; max-width: calc(100% + 80px) !important; margin-left: -40px !important; }
    .innovation_card_wrapper .elementor-widget-n-carousel .swiper-slide:has(+ .swiper-slide-duplicate-prev){ opacity: 0; transition: all 0.5s ease-in-out; }
}

@media (max-width: 992px){
.innovation_card_wrapper .elementor-widget-n-carousel{ width: 100% !important; max-width:100% !important; margin-left: 0px !important; }
.innovation_card_wrapper .elementor-widget-n-carousel .swiper{ padding: 0 0px; }
.innovation_card_wrapper .elementor-widget-n-carousel .swiper-slide .innovation_card:hover{ box-shadow: 0px 0px 20px 2px rgba(0, 0, 0, 0.2); }
}

@media (max-width: 641px){
.innovation_card_wrapper .elementor-widget-n-carousel .swiper-slide .innovation_card{ width: 96%; margin: 0 auto; }
}